
# $Id: functions.inc,v 1.1.1.1 2004/08/31 13:33:28 thomasez Exp $

# Define a function to strip CRs from files and chmod if desired
stripcr () {
	#[ -r $1 ] && { echo stripcr $1 $2; tr -d '\r' < $1 > $2; }
	#[ $3 ] && { echo chmod $3 $2; chmod $3 $2; }
	[ -r $1 ] && { tr -d '\r' < $1 > $2; }
	[ $3 ] && { chmod $3 $2; }
}

load_fsmod () {
       case $1 in
       # /dev/hd*)
       /dev/discs* | /dev/ide* | /dev/cdrom*)
               insmod cdrom
               insmod ide-core
               insmod ide-detect
               insmod ide-cd
               insmod ide-disk
               ;;
       esac
       case $2 in
       vfat)
               echo vfat support is builtin
               ;;
       iso9660)
               insmod zlib_inflate
               insmod isofs
               ;;
       usbstorage)
               modprobe usb-storage
               ;;
       esac
}

bool_value () {
	case "$1" in

	[Tt]|true|[Yy]|yes)
		return 0
		;;
	*)
		return 1
		;;
	esac
	return 1
}

